## sgml-data 1.5.5

=== examples/Makefile ===

SRCS	:= $(wildcard *.html *.sgml *.xml)
NSGMLS	:= $(shell if command -v onsgmls 2>/dev/null; then	 \
			:					;\
		   elif command -v nsgmls 2>/dev/null; then	 \
			:					;\
		   else						 \
			echo "false"				;\
			echo "warning: no cvs2cl found" 1>&2	;\
		   fi)

.PHONY: validate
validate:	$(addsuffix .validate,$(SRCS))

%.xml.validate : %.xml
	SP_CHARSET_FIXED=YES SP_ENCODING=XML $(NSGMLS) -wxml -wall -gues /usr/share/sgml/declaration/xml.dcl $<

%.validate : %
	$(NSGMLS) -wall -gues $<

debian-man-refs.xml:	/tmp/debian-man-ref.ent

/tmp/debian-man-ref.ent:	../create-debian-man-refs.sh
	../create-debian-man-refs.sh > $@
