## sgml-data 0.02

=== debian/changelog ===
sgml-data (0.02) unstable; urgency=low

  * Added DOCTYPE linuxdoc to the sgml.catalog 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Wed, 2 Apr 1997 15:01:02 -0500

sgml-data (0.01) unstable; urgency=low

  * Initial Release.

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Thu, 13 Feb 1997 20:17:55 -0500

Local variables:
mode: debian-changelog
End:
