=== debian/control ===
Source: sgml-data
Section: text
Priority: extra
Maintainer: Susan G. Kleinmann <sgk@kleinmann.com>
Standards-Version: 2.1.2.2

Package: sgml-data
Architecture: all
Conflicts: sp (<= 1.1.1-2)
Depends: ${shlibs:Depends}
Suggests: perlsgml
Description: Data files for SGML programs
 This package includes (a) Document Type Definitions for HTML Level 0, 1, 2, 
 3, and 3.2, as well as their strict versions, (b) DTDs for Mozilla (2.0) 
 and for Internet Explorer (2.0 and 3.0), and (c) entity declarations for 
 a wide variety of character sets.
 .
 Access to these data files is facilitated by the inclusion of an sgml
 catalog file which defines a default SGML declaration and a default DTD 
 for documents whose DOCTYPE is 'html', and which links system identifiers 
 to public identifiers for other SGML DTD's and entity sets.
