=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=sgml-data
install_file= install -o root -g root -m 644

build:
	$(checkdir)
	if [ -x configure ]; then ./configure --prefix=/usr; fi
	# make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`

        # The system-wide catalog file
	$(install_file) sgml.catalog debian/tmp/etc/sgml.catalog

	# The dtd's
	(cd dtd; tar cf - * ) | \
	    (cd debian/tmp/usr/lib/sgml/dtd; tar  xpf -)

        # The entities
	cp entities/* debian/tmp/usr/lib/sgml/entities

        # The declaration files
	$(install_file) html.decl debian/tmp/usr/lib/sgml/sgml/html.decl

	# Now copy all the linked files
	debian/makelinks
#	debian/makelinks
#	cp -a IETF debian/tmp/usr/lib/sgml
#	cp -a W3O debian/tmp/usr/lib/sgml
#	cp -a W3C debian/tmp/usr/lib/sgml
#	cp -a NetscapeCommCorp debian/tmp/usr/lib/sgml
#	cp -a WebTechs debian/tmp/usr/lib/sgml
#	cp -a Microsoft debian/tmp/usr/lib/sgml
#	cp -a ArborText debian/tmp/usr/lib/sgml
#	cp -a HP debian/tmp/usr/lib/sgml
#	cp -a ISO_8879:1986 debian/tmp/usr/lib/sgml
#	cp -a ISO_8879-1986 debian/tmp/usr/lib/sgml

# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
