## sgml-data 0.11

=== debian/changelog ===
sgml-data (0.11) frozen unstable; urgency=low

  * comment out URI system identifiers in html-4.0 loose and strict DTDs,
    because they were preventing us from using the local copies, and
    rendering impossible offline HTML 4 validation (closes Bug#20736)

 -- Adam P. Harris <aph@debian.org>  Mon,  6 Apr 1998 04:21:27 -0400

sgml-data (0.10) frozen unstable; urgency=low

  * fixes to sgml-catalog-check.pl, which was causing it to create bad
    symlinks (closes Bug#20504)
  * check for broken symlinks before building so I'm sure to never make a
    package with broken links again

 -- Adam P. Harris <aph@debian.org>  Thu,  2 Apr 1998 23:51:06 -0500

sgml-data (0.9) frozen unstable; urgency=low

  * remove sgml_layout.sgml and derived documents because the file is now
    in its proper home, the sgml-base package
  * fix sgml-catalog-check.pl so it properly ignores the '+' registered
    entity symbol, which removes the improper /usr/lib/sgml/+ directory
  * SGML declarations go into /usr/lib/sgml/declaration, not declarations,
    as per Debian SGML sub-policy
  * html-4.decl: re-add "(WWW)" at the top to stop nsgmls complaining

 -- Adam P. Harris <aph@debian.org>  Fri, 20 Mar 1998 00:12:11 -0500

sgml-data (0.8) unstable; urgency=low

  * fixes to sgml-catalog-check.pl, which also makes for fixes
    in the symlinks that the script checks or creates /usr/lib/sgml
  * typo fixed on dir name /usr/lib/sgml/declarations (not declaration)
  * replace html-4.decl with the one from 'sp' since the std W3O version
    causes sp to really complain a lot.  Let me know if this causes 
    problems.

 -- Adam P. Harris <aph@debian.org>  Sun, 15 Mar 1998 02:42:56 -0500

sgml-data (0.7) unstable; urgency=low

  * provide both ISO 8879-1986 and ISO 8879:1986 for ISO entity sets
    (referenced by docbook, seems to be the standard way)
  * copyright file updated
  * added mod-general.dtd, a modified ISO standard "General Document"
    format

 -- Adam P. Harris <aph@debian.org>  Thu, 12 Mar 1998 19:03:02 -0500

sgml-data (0.6) unstable; urgency=low

  * move declarations to /usr/lib/sgml/declarations, populated with:
  	html-2.decl		old html.decl
  	html-2-i18n.decl	html-2 plus international chars
  	html-970421.decl	html 3.2 plus style
  	html-4.decl		html 4
  	html.decl		now the default, link to html-4.decl
  * added compatability links to declartions into /usr/lib/sgml/sgml
  * converted sgml_layout file to debiandoc SGML, now installed (still
    temporary) in /usr/doc/sgml-data/sgml_layout.html

 -- Adam P. Harris <aph@debian.org>  Wed, 11 Mar 1998 20:54:21 -0500

sgml-data (0.5) unstable; urgency=low

  * added sgml-catalog-check.pl to manage links under /usr/lib/sgml, use
    this from debian/rules as part of build; script installed in
    /usr/lib/sgml-data
  * reinstanced links using this script, which made a lot of little changes
  * debian/makelinks, debian/dirs: removed, now irrelevant; now, when you
    add DTDs, you don't need to hack the rules at all
  * changed ncc-s.dtd public declaration: vendor is "Netscape Comm. Corp.",
    not "Netscape Comm. Corp. Strict".  This is in counter-distinction to
    the incorrect comment in the DTD itself.
  * SGML_layout: added section on issues to be resolved, clarify that the
    language specifier in the PUBLIC identifier should be stripped when
    making links
  * added entities:
  	HTML 2.1: html-2.1e.dtd
  	HTML 3.2+style: html-970421.dtd
  	HTML 4.0: html-4.0s.dtd, html-4.0-loose.dtd, html-4.0-frameset.dtd
  	HTML 4.0 entities: HTMLlat1, HTMLspecial, HTMLsymbol
  	  (closes Bug#18849)
  	HotJava: html-hj.dtd, html-hjs.dtd
  * renamed ncc-s.dtd to html-mcoms.dtd, renamed moz.dtd to html-mcom.dtd,
    added more public IDs for them
  * refresh from W3O: html-0.dtd, html-0s.dtd
  * aesthetic fixes to sgml.catalog
  * debian/rules: added -isp to dpkg-gencontrol, r-w on control

 -- Adam P. Harris <aph@debian.org>  Thu,  5 Mar 1998 18:40:36 -0500

sgml-data (0.4) unstable; urgency=low

  * new maintainer
  * debian/rules: clean up and abstraction like I like it
  * debian/rules: removed debstd and do it by hand (closes Bug#15404)
  * maintainer scripts improved to deal with arguments
  * postinst made into a perl scripts; strip out old version of sgml-data
    residuals from /etc/sgml.catalog; I have no clue why it would be in
    there.  I know this is against policy but this package put the bad
    data there in the first place.
  * removed unnecessary, non-std, leading zero from version
  * update to standards 2.4.0.0
  * updated entities and DTDs
  	ISOlat1 updated (closes Bug#10578)
  	ISOlat1.sgml removed (doesn't seem to be needed)
  	ISOlat2 updated
  	ISOpub updated
    	ISOnum updated
      	ISOtech updated
  	html-1s.dtd updated
  	html-3.2.dtd updated to Jan 7 1997 (final)
  	html-3s.dtd updated
  	ie-2.0.dtd updated (no actual changes, spaces only!)
  	ie-2.0s.dtd added
  	ie-2.0-tables.dtd added (unreported bug that it was missing)
  	ie-3.0 updated
  	ie-3.0s added
  	ie-3.0-tables.dtd added (unreported bug that it was missing)
  * added discussion on naming conventions in /usr/doc/sgml-data/SGML_layout
  * added MSIE DTDs to catalog file (closes Bug#12077)
  * ISO_8879:1986 is now ISO_8879-1986, which is what the W30 is pushing;
    sorry if it breaks anything --- if it imposes hardship, let me know
    and I can put in compatibility entities
  * removed DOCTYPE LINUXDOC because we aren't responsible for
    linuxdoc.dtd
  * removed SGMLDECL sgml/html.decl, because that's just obnoxious and
    outside of the scope of this package (closes Bug#10956)

 -- Adam P. Harris <aph@debian.org>  Tue,  3 Mar 1998 00:40:55 -0500

sgml-data (0.03) unstable; urgency=low

  * Interim release.
  * Added support for sgml-base (fixes bugs #9940, #11166).
  * Removed buggy preinst script.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 24 Jul 1997 17:38:09 +0200
