=== debian/control ===
Source: sgml-data
Section: text
Priority: extra
Maintainer: Adam P. Harris <aph@debian.org>
Standards-Version: 2.4.0.0

Package: sgml-data
Architecture: all
Conflicts: sp (<= 1.1.1-2)
Depends: sgml-base
Suggests: perlsgml
Description: Data files for SGML programs
 This package includes Document Type Definitions for HTML Level 0, 1, 2, 
 3, and 3.2, as well as their strict versions, DTDs for Mozilla (2.0) 
 and for Internet Explorer (2.0 and 3.0), some other somewhat standard 
 DTDs, and entity declarations for a few character sets.
 .
 Access to these data files is facilitated by the inclusion of an sgml
 catalog file which defines a default SGML declaration and a default DTD 
 for documents whose DOCTYPE is 'html', and which links system identifiers 
 to public identifiers for other SGML DTD's and entity sets.
