## sgml-data 0.13

=== debian/changelog ===
sgml-data (0.13) unstable; urgency=low

  * debian/postinst: deal with install-sgmlcatalog perhaps not being
    available at remove or purge time; also, purge no longer has anything
    to do (before, 'install-sgmlcatalog --remove' was being run twice) 
    (closes Bug#28615) 
  * debian/copyright: update URLs

 -- Adam P. Harris <aph@debian.org>  Thu, 29 Oct 1998 00:16:17 -0500

sgml-data (0.12) unstable; urgency=low

  * copyright: policy-stipulated modifications (closes Bug#21962; other
    part of that bug could not be verified by myself, no response from
    submitter.)
  * changelog file is changelog.gz, which is the way for Debian
  * Debian Policy compliant with 2.4.1

 -- Adam P. Harris <aph@debian.org>  Fri, 12 Jun 1998 18:58:12 -0400
