=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: extra
 Maintainer: Adam P. Harris <aph@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 2.4.1
 
 Package: sgml-data
 Architecture: all
