=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	# move in documentation
 	$(install_file) debian/README.Debian debian/TODO.Debian		\
 	    debian/copyright $(docdir)
-	$(install_file) debian/changelog $(docdir)/changelog.Debian
+	$(install_file) debian/changelog $(docdir)/changelog
 
 	# compress docdir (policy)	
 	#find $(infodir) $(mandir) -type f | xargs $(compress)
