## sgml-data 1.2.1

=== debian/changelog ===
sgml-data (1.2.1) frozen unstable; urgency=medium

  * remove extra declaration/xhtml1.dcl
  * make symlink /usr/lib/sgml/declaration/xml.decl -> xml.dcl;
    'xml.dcl' used to be provided in the sp package in slink, the fact
    that the file name changed in potato (v1.2) without a compatability
    symlink will break a *lot* of people's setups, therefore, this is a RC
    bug in the name of compatability with slink (closes: Bug#61436)

 -- Adam Di Carlo <aph@debian.org>  Fri, 12 May 2000 11:35:21 -0400

sgml-data (1.2) unstable; urgency=low

  * entities/ISO*: a few had bad FPIs in the comment, fixed
  * XHTML 1.0 materials updated to PR-xhtml1-19991210 (closes: Bug#49360)
  * XHTML 1.1 materials added from WD-xhtml11-19990910
  * XML materials moved from dtd/ to xml/ -- we keep these together in
    /usr/lib/sgml/dtd/<dir> and not split them into
    /usr/lib/sgml/{dtd,entities,declaration}  because XML processors may
    or may not have proper public identifier aware entity managers;
    notably, we are using the upstream file names,which is necessary
    because XML processors may not have catalog support
  * added xml.dcl, japan.dcl from OpenSP
  * copyright: ISO materials URL added; OpenSP license added
  * catalog: add OVERRIDE YES (closes: Bug#48507)

 -- Adam Di Carlo <aph@debian.org>  Wed, 22 Dec 1999 15:06:14 -0500

sgml-data (1.1) unstable; urgency=low

  * add XML ISO entities from Norm Walsh's DocBk XML DTD, last updated
    1999-03-31; replace the earlier docbook-xml, which previously
    contained these files (closes: Bug#40637)
  * sgml.catalog: normalized spacing

 -- Adam Di Carlo <aph@debian.org>  Thu,  7 Oct 1999 00:39:24 -0400

sgml-data (1.0) unstable; urgency=low

  * debian/control: depend on perl | perl5 (closes: Bug#42025); update
    package description; standards version 2.5.1
  * ISOlat1: was using CDATA entities -- use SDATA entities like the rest
    (closes: Bug#39666, Bug#40635, Bug#40639); note that often the HTML
    entity sets, which come from the horse's mouth at W30, use CDATA
    entities or even both SDATA and CDATA entities.  Such sets are
    generally identified by their FPI ending in '//HTML'.  A possible
    exception is "ISO 8879:1986//ENTITIES Added Latin 1//EN//HTML", which
    I have shipped as a synonym for "ISO 8879:1986//ENTITIES Added Latin 1//EN".
    If you really want the HTML one, use the W3C entities instead.
  * ISOlat2: regularize the alignment
  * HTMLlat1, HTMLspecial, HTMLsymbol: update from HTML 4.01 spec (no real
    content changes)
  * HTML 4.01 DTDs added from PR-html40-19990824
  * HTML 4.0 DTDs updated to REC-html40-19980424
  * XHTML 1.0 materials updated from PR-xhtml1-19990824, files renamed to
    be the same as on W30 (in the xhtml-1.0 subdir, for DTDs)

 -- Adam Di Carlo <aph@debian.org>  Sun, 26 Sep 1999 04:46:21 -0400

sgml-data (0.19) unstable; urgency=low

  * sgml-catalog-check.pl: teach script about DOCUMENT type
  * comply with new Perl policy, 1.0.1

 -- Adam Di Carlo <aph@debian.org>  Wed, 14 Jul 1999 04:01:50 -0400

sgml-data (0.18) unstable; urgency=low

  * ISO 8879-1986 prefix on public IDs is incorrect and deprecated, so I
    notated that in the catalog
  * sgml.catalog: change DOCTYPE for html (and "HTML") to HTML v4
    transitional DTD (closes Bug#38284)
  * QAML DTD: FPI changed, updated to 2.3, remove CPMish line endings,
    retained upstream file name (qaml-xml.dtd), removed older version (let
    me know if you need it back for some reason)
  * RDF DTD: updated to 1999-05-01 version, remove older version (let
    me know if you need it back for some reason)
  * copyright: minor updates
  * maintainer scripts: prerm added (prior to this, we weren't handling
    the remove case; postinst convert from Perl to shell, remove old
    policy-breaking SGML catalog grubbing; general standardization
  * debian/rules: update to "Di Carlo" standard

 -- Adam Di Carlo <aph@debian.org>  Thu, 27 May 1999 01:13:26 -0400

sgml-data (0.17) unstable; urgency=low

  * fixed suplicated XML entity declarations, thanks to David Rocher
  * renamed big5*.dcl to big5*.decl -- let me know if this breaks your
    documents and I'll either put them back or provide a symlink; again,
    thanks to David Rocher

 -- Adam Di Carlo <aph@debian.org>  Fri, 23 Apr 1999 21:02:22 -0400

sgml-data (0.16) unstable; urgency=low

  * added declarations, html-3.2.decl and html-3.decl, thanks to Jaldhar
    H. Vyas

 -- Adam Di Carlo <aph@debian.org>  Fri,  9 Apr 1999 03:24:06 -0400

sgml-data (0.15) unstable; urgency=low

  * sgml-catalog-check.pl: teach script that ELEMENTS is another name for
    DTD
  * debian/control: fix priority to match reality, minor corrections to
    the description

 -- Adam Di Carlo <aph@debian.org>  Fri, 26 Mar 1999 04:42:40 -0500

sgml-data (0.14) unstable; urgency=low

  * maintainer name change
  * add Big5 (Chinese) declarations for SGML, SGML tight, and XML, from
    Rick Jelliffe
  * add RDF and QAML DTDs, also from Rick Jelliffe
  * add materials from XHTML Extensible HTML Working Draft, which is an
    XML representation of HTML v4.  Note that the XHTML materials are
    "work in progress" and may be obsoleted or changed at any time.
  * debian/copyright: updated
  * debian/control: bump standards version to 2.5.0; add dependancy on
    perl, even though I'm hoping that the only thing that uses it
    (/usr/lib/sgml-data/sgml-catalog-check.pl) is folded into sgml-base
    soon
  * debian/postrm: stripped down in size, no functional changes
  * debian/rules: minor housekeeping
  * README.Debian: updated with pointers to more info, since I'm just
    packaging DTDs and whatnot, not the standards, examples, or
    declarations.

 -- Adam Di Carlo <aph@debian.org>  Wed, 24 Mar 1999 02:14:21 -0500
