=== debian/control ===
Source: sgml-data
Section: text
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 2.5.1

Package: sgml-data
Architecture: all
Conflicts: sp (<= 1.1.1-2)
Depends: sgml-base, perl5 | perl
Suggests: perlsgml
Replaces: docbook-xml (<= 3.1.3.6-1)
Description: common SGML DTDs and entities
 This package includes Document Type Definitions for HTML Level 0, 1, 2, 
 3, 3.2, and 4.0, as well as their strict versions, DTDs for Mozilla (2.0) 
 and for Internet Explorer (2.0 and 3.0), some other somewhat standard 
 DTDs.  Also included are ISO standard entities, HTML standard entities,
 and other generally useful sets of entities.
 .
 Access to these data files is facilitated by the inclusion of an SGML
 catalog file which defines a default SGML declaration and a default DTD 
 for documents whose DOCTYPE is 'html', and which links system identifiers 
 to public identifiers for other SGML DTDs and entity sets.
