## sgml-data 1.5.5

=== debian/changelog ===
sgml-data (1.5.5) unstable; urgency=low

  * HTML 3.2 DTD should use HTMLlat1 not ISOlat1, otherwise we lack the
    nbsp entity, and this brings it into conformity with the spec, we hope
    closes: #131312, #132550

 -- Adam Di Carlo <aph@debian.org>  Sat,  9 Mar 2002 21:03:10 -0500

sgml-data (1.5.4) unstable; urgency=low

  * bump sgml-base dependency to 1.11
  * user didn't have /etc/sgml directory, nothing we can do about that in
    this package (yes, that will break sgml-base if you remove that
    closes: #114360
  * sgml-catalog-check.pl: add an -e switch to turn off the chopping of
    the //EN and //EN//* stuff (needed by docbook-dsssl)
  * postinst comments and a bit more robust if removing legacy junk fails
  * policy checked against 3.5.6

 -- Adam Di Carlo <aph@debian.org>  Mon, 19 Nov 2001 22:52:37 -0500

sgml-data (1.5.3) unstable; urgency=low

  * sgml-catalog-check.pl: fix a minor error message output issue
    closes: #107270
  * sgml-catalog-check.pl: stop renaming ELEMENTS to 'dtd', call it
    'elements' instead, helping with old Bug#51043
  * README.Debian: replace a bad URL; closes: #97994

 -- Adam Di Carlo <aph@debian.org>  Tue,  2 Oct 2001 02:51:00 -0400

sgml-data (1.5.2) unstable; urgency=low

  * SGML ISOcyr1.ent: go back to the SDATA entities, anything else is broken 
    closes: #92273
    reopens: #70785, #88815
  * the XHTML patch was expanded for all DTDs and renamed to
    xhtml1-hygene.patch; this has been submitted to W3C and they are
    considering it for an editorial update to XHTML 1.0

 -- Adam Di Carlo <aph@debian.org>  Sat,  7 Apr 2001 20:11:03 -0400

sgml-data (1.5.1) unstable; urgency=low

  * remove xhtml 1.1 example since we dont't ship that anymore
  * maint scripts: update-catalog should run quiet
  * include in our docdir a patch to xhtml 1.0 strict to make it all linty
    clean
  * fix problems with sgml-catalog-check.pl not looking in the dir
    relative to the catalog file; plus some bogus checks on old filesystem
    layout; the FPI symlinks in /usr/share/sgml were wrong before

 -- Adam Di Carlo <aph@debian.org>  Sun, 18 Mar 2001 14:13:49 -0500

sgml-data (1.5.0) unstable; urgency=low

  * migrate to new LSB-derived SGML/XML layout in /usr/share/sgml;
    we adopt a slightly modified version of that specification which is
    slightly less flat, see
      <URL:http://dulug.duke.edu/~mark/debian/sgml/lsb-on-debian.html/>
    closes: #57936
  * debian/control: for the transition, require sgml-base 1.07 or better
  * debian/control: update standards to 3.5.2 (no changes needed)
  * sgml-catalog-check.pl: change default location for making symlinks to
    debian/tmp/usr/share/sgml
  * examples: fix 4.01-frameset example
  * yank out XHTML 1.1, the last version was (a) obsoleted now, and (b)
    broken anyhow.  XHTML 1.1, XHTML-modularized, and XHTML-basic should
    be packaged separately; WNPP bugs filed
    closes: #75072
  * SGML ISOcyr1.ent: replace SDATA entities with Unicode numeric
    references since jade and openjade don't understand the SDATA
    entities; we still provide ISOcyr1_SDATA.ent if you want the SDATA
    version
    closes: #70785, #88815, #54386

 -- Adam Di Carlo <aph@debian.org>  Sat, 17 Mar 2001 04:20:11 -0500

sgml-data (1.4.1) unstable; urgency=low

  * provide examples of XML and HTML stuff; this helps me detect validity
    problems earlier
  * sgml.catalog: oops, fix unmatched comment; this was breaking lots of
    stuff, as you might imagine
  * TODO.Debian: some updates

 -- Adam Di Carlo <aph@debian.org>  Mon,  5 Feb 2001 01:16:19 -0500

sgml-data (1.4) unstable; urgency=low

  * HTML 4.01: update to REC-html401-19991224
  * ISO/IEC 15445:2000 HTML: added from 
    "First edition 2000-05-15 incorporating Draft TC1 (Work in progress)"
  * QAML DTD: updated to 2.4; include the QAML FAQ as a QAML example
  * sgml.catalog:
    - add HTML Latin1 and Symbol entity compatability FPIs, as recommended
      by ISO/IEC 15445:2000
    - bump HTML DOCTYPE to HTML v4.01 rather than 4.0, since HTML 4.01 is
      promoted as a recommendation
    - provide the following FPIs based on state of W3C recommendations:
      . "-//W3C//DTD HTML 4//EN" -- HTML 4.01
      . "-//W3C//DTD XHTML//EN"  -- XHTML 1.0
      . "-//W3C//DTD HTML//EN"   -- XHTML 1.0
    - re-organize and improve the commenting
    - fix DTDDECL for QAML
  * debian/control: add suggests for doc-html-w3, which contains most of
    the recommendations; add suggests for osp, used in examples/Makefile
    for validation
  * README.Debian: some updates and expansions
  * XHTML 1.1:
    - fix a nasty bug in how xhtml-model.mod is referenced;
      reported upstream to W3C
    - NOTE: you cannot actually use XHTML 1.1 materials at this time,
      since there are missing components (xhtml-modularization and ruby);
      at this time, simply including those components won't actually work
      since the FPIs and file name provided by at least the latest
      xhtml-modularization does not match what is expected by XHTML 1.1.
      This also has been reported to the W3C; I am awaiting feedback from
      them on how to proceed -- copyright restrictions prevent me from
      wholesale modifiction to fix matters.
  
 -- Adam Di Carlo <aph@debian.org>  Sun,  4 Feb 2001 16:10:03 -0500

sgml-data (1.3) unstable; urgency=low

  * new xhtml-1.0 materials from xhtml1-20000126
  * new xhtml-1.1 materials from xhtml11-20000105
    (closes: Bug#65331)
  * sgml.catalog: update according; add DTDDECLs
  * control: add Build-Depends-Indep on debhelper and symlinks; raise
    standards to 3.2.1, although SGML stuff is still in /usr/lib (bad, but
    sgml-base has to change first); update description; declare 'Replaces'
    sp older than 1.3.4-1.2.1-14, when we started removing xml.decl 
    (closes: Bug#71572)
  * rules: FHS changes, more use of debhelper, eliminate wrapper around
    symlinks use (closes: Bug#69266)


