=== debian/control ===
Source: sgml-data
Section: text
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper, symlinks

Package: sgml-data
Architecture: all
Conflicts: sp (<= 1.1.1-2)
Depends: sgml-base (>= 1.11), perl5 | perl
Suggests: perlsgml, doc-html-w3, osp
Replaces: docbook-xml (<= 3.1.3.6-1), sp (<< 1.3.4-1.2.1-14)
Description: common SGML DTDs and entities
 This package includes Document Type Definitions for HTML Level 0, 1,
 2, 3, 3.2, and 4.0, DTDs representing the capabilities for popular
 browsers, SGML and XML declarations, and popular XML DTDs.  Also
 included are ISO standard entities (SGML and XML), HTML standard
 entities, and other generally useful sets of entities.
 .
 Access to these data files is facilitated by the inclusion of an SGML
 catalog file which defines a default SGML declaration and a default
 DTD for documents whose DOCTYPE is 'html', and which links system
 identifiers to public identifiers for other SGML DTDs and entity
 sets.  No setup is required by the user, due to the Debian SGML/XML
 common layer (see the sgml-base package)
