## sgml-data 2.0.2-0ubuntu2

=== debian/changelog ===
sgml-data (2.0.2-0ubuntu2) warty; urgency=low

  * Update B-D-I to reflect removal of symlinks usage.

 -- Daniel Stone <daniel.stone@canonical.com>  Fri,  1 Oct 2004 21:21:04 +1000

sgml-data (2.0.2-0ubuntu1) warty; urgency=low

  * Eliminate usage of symlinks, since it wasn't being used for anything but
    maintainer diagnostics.

 -- Daniel Stone <daniel.stone@canonical.com>  Mon, 27 Sep 2004 17:42:20 +1000

sgml-data (2.0.2) unstable; urgency=low

  * since dpkg cannot change a directory to a symlink on package upgrade,
    help it along by removing the directory
    /usr/share/sgml/entities/xml-iso-entities-8879.1986 in the preinst
    closes: #232865
  * postinst: remove a crufted comment

 -- Adam Di Carlo <aph@debian.org>  Sun, 15 Feb 2004 13:52:45 -0500

sgml-data (2.0.1) unstable; urgency=low

  * rewrite package description and synopsis
  * suggest libxml2-utils
  * include /usr/share/xml/declaration/xml.soc, borrowed from the 'sp'
    package

 -- Adam Di Carlo <aph@debian.org>  Sat, 14 Feb 2004 15:41:55 -0500

sgml-data (2.0) unstable; urgency=medium

  * XML materials now placed in in /usr/share/xml, with symlinks from
    their old locations in /usr/share/sgml .  Examples added with SYSTEM
    references to the legacy location.
  
  * XML catalog provided for QAML and SVG
  * xml-core registration for all XML materials (we hope); use
    dh_installxmlcatalogs for XML registration (requires xml-core 0.06)
  * medium urgency given, because other XML-providing packages require
    registration of core XML entities

  * XML DTDDECL for ISBN entry for QAML FAQ
  * stop providing any compatability symlinks into /usr/lib/sgml
  * sgml-catalog-check.pl: quieten some warnings
  * use debhelper for SGML catalog registration as well, eliminates
    maintainer scriptage

  * /usr/share/sgml/entities/{ArborText,Hewlett-Packard} for entities,
    keep them out of /usr/share/sgml/entities; symlinks provided to old
    location

  * remove crufty old HTML*x.ent entities, find them in w3c-dtd-xhtml
  * use dh_link for symlinks, excepting those generated by
    sgml-catalog-check.pl
  * do not invoke sgml-catalog-check.pl on materials in /usr/share/xml (?)
  * checked for non-UTF8 characters in changelog, AOK
  * comply with standards version 3.6.1
  * let dh_install(xml)catalogs provide the package dependencies

 -- Adam Di Carlo <aph@debian.org>  Sun,  1 Feb 2004 19:16:03 -0500

sgml-data (1.9.1) unstable; urgency=low

  * 'DOCTYPE html' and 'DOCTYPE HTML' is no longer provided by this
    package; w3c-dtd-xhtml provides that (assuming we need it at all);
    closes: #183548
  * sgml-catalog-check.pl doesn't make symlinks anymore; option -l is
    ignored and a warning is generated
  * rules: check sgml-catalog-check.pl syntax

 -- Adam Di Carlo <aph@debian.org>  Thu, 13 Mar 2003 18:31:21 -0500

sgml-data (1.9) unstable; urgency=low

  * add svg11.dtd from W3 recommendation, SVG 1.1 20030114; loose SVG 1
    and SVG DTD entries point to 1.1 now; "-//W3C//DTD SVG 20010904//EN"
    is another name for "-//W3C//DTD SVG 1.0//EN"
  * add SVG 1.0 and 1.1 examples from the SVG spec
  * add xml1n.dcl from the XHTML 1.1 recommendation, REC-xhtml11-20010531;
    closes: #178193

 -- Adam Di Carlo <aph@debian.org>  Thu,  6 Mar 2003 18:36:13 -0500

sgml-data (1.8) unstable; urgency=low

  * updated xml.dcl, from the w3 validator package, 0.6.1;
    this lets MathML work
  * also add sgml.dcl, from the same place

 -- Adam Di Carlo <aph@debian.org>  Sat, 18 Jan 2003 02:16:01 -0500

sgml-data (1.7.2) unstable; urgency=low

  * XML catalog for XML Character Entities, aka
    xml-iso-entities-8879.1986; this will be registered centrally when
    such central registration facilities existin in Debian (xml-core)
  * some comment changes in the corresponding SGML catalog

 -- Adam Di Carlo <aph@debian.org>  Tue, 14 Jan 2003 01:44:15 -0500

sgml-data (1.7.1) unstable; urgency=low

  * oops, remove xhtml.soc referenced in catalog registration

 -- Adam Di Carlo <aph@debian.org>  Tue, 31 Dec 2002 07:15:26 -0500

sgml-data (1.7) unstable; urgency=low

  * remove XHTML DTDs, a proper XHTML package is on the way
  * also remove "-//W3C//DTD HTML//EN" and "-//W3C//DTD XHTML//EN" since
    we don't provide the latest HTML recommendations anymore (they will be
    in the XHTML package)

 -- Adam Di Carlo <aph@debian.org>  Tue, 31 Dec 2002 07:01:59 -0500

sgml-data (1.6) unstable; urgency=low

  * suggests on osp was wrong, changed to opensp
  * fix package purge, closes: #154819
  * rules: break out test target, called by binary-indep
  * include ISO 9573-13:1991 entities, thanks to Yann Dirson;
    we use the entity set provided by Anders Berglund, the editor of the
    ISO standard, dated 3 Oct 1995
    closes: #125817
  * update XML ISO 8879 entities using the XML Character Entities V0.3
    from the DocBook Technical Committee
  * add SVG from REC-SVG-20010904; providing public identifiers
    "-//W3C//DTD SVG 1.0//EN" and "-//W3C//DTD SVG//EN" (latest)
    closes: #172745
  * XHTML 1.0 revised to REC-xhtml1-20020801
  * copyright: updates, outline mode for my sanity; refer to
    common-licenses/GPL where appropriate
  * TODO.Debian: updates, more ISO 9573 stuff I can't find anywhere
  * update standards to 3.5.8, no changes needed
  * update the package synopsis
  * debhelper 4 compat mode
  * lintian clean

 -- Adam Di Carlo <aph@debian.org>  Fri, 13 Dec 2002 18:18:01 -0500
