## sgml-data 2.0.3

=== debian/changelog ===
sgml-data (2.0.3) unstable; urgency=medium

  * remove symlinks build dependency from debian/control and rules;
    set urgency because this is a serious violation; closes: #301788
  * update HTML ISO 15445; closes: #248675

 -- Adam Di Carlo <aph@debian.org>  Thu, 21 Apr 2005 11:48:10 -0400
