=== debian/control ===
Source: sgml-data
Section: text
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.83.1), xml-core (>= 0.06)

Package: sgml-data
Architecture: all
Conflicts: sp (<= 1.1.1-2)
Depends: ${perl:Depends}, ${misc:Depends}
Suggests: perlsgml, doc-html-w3, opensp, libxml2-utils
Replaces: docbook-xml (<= 3.1.3.6-1), sp (<< 1.3.4-1.2.1-14)
Description: common SGML and XML data
 This package contains basic XML and SGML data shared and used by
 multiple packages.  The package provides the technical format
 (Document Type Definition, or DTD) of all major versions of HTML.  It
 also includes standard character entity definitions which describe
 spacial characters or international characters, as well as other
 standard miscellany used by other SGML and XML packages.
 .
 This package implements the Debian XML and SGML standards for entity
 placement and registration.  This benefits the user by making the
 included materials instantly available to people writing, editing or
 building documentation without any further effort.  See
 <http://debian-xml-sgml.alioth.debian.org/> for more information.
