=== debian/rules ===
--- 
+++ 
@@ -87,6 +87,13 @@
 	dh_installexamples examples/*
 	dh_fixperms
 
+#	 check for bad links
+	for LINK in $$(find $(prefix) -type l); do \
+		TARGET=$$(readlink $$LINK); \
+		[ "$$TARGET" != "$${TARGET#/etc}" ] || [ -e $$LINK ] \
+		|| echo "dangling symlink: $$LINK -> $$TARGET"; \
+	done
+
 	dh_compress -i
 
 	dh_installdeb -i
