## sgml-data 2.0.4

=== debian/changelog ===
sgml-data (2.0.4) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Move debhelper to build-depends to satisfy clean.
  * Convert copyright file to UTF-8 with iconv.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 20 Dec 2009 21:46:26 -0500
