=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: sgml-data
 Section: text
 Priority: optional
-Maintainer: Adam Di Carlo <aph@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 4.1.83.1), xml-core (>= 0.06)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5.0.0)
+Build-Depends-Indep: xml-core (>= 0.06)
 
 Package: sgml-data
 Architecture: all
