## sgml-data 2.0.5

=== debian/changelog ===
sgml-data (2.0.5) unstable; urgency=low

  * QA upload.
  * Applied Martin Pitt's patch to reduce the dependency on perl to
    perl-base only. Thanks, Martin! (closes: #602121).
  * Converted to source format 3.0 (native).

 -- Ralf Treinen <treinen@debian.org>  Sun, 05 Dec 2010 14:15:20 +0100
