=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 	dh_compress -i
 
 	dh_installdeb -i
-	dh_perl -i
+	dh_perl -d -i
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
