## sgml-data 2.0.6

=== debian/changelog ===
sgml-data (2.0.6) unstable; urgency=low

  * QA upload.
  * Fix a piuparts failure involving /etc/xml and /etc/sgml still being
    present post-purge when xml-core is removed first.

 -- Philipp Kern <pkern@debian.org>  Sun, 29 May 2011 14:16:38 +0200
